amazon_ses.settings:
  type: config_object
  label: Settings
  mapping:
    from_address:
      type: email
      label: 'From Address'
    throttle:
      type: boolean
      label: 'Throttle'
      nullable: true
    queue:
      type: boolean
      label: 'Queue Emails'
      nullable: true
    credentials:
      type: mapping
      label: 'Credentials'
      mapping:
        region:
          type: string
          label: 'Region'
        key:
          type: string
          label: 'Key'
          nullable: true
        secret:
          type: string
          label: 'Secret'
          nullable: true
